
local meta = FindMetaTable( "Panel" )
if (!meta) then return end


meta.SetFGColorEx = meta.SetFGColor
meta.SetBGColorEx = meta.SetBGColor


/*---------------------------------------------------------
   Name:	SetFGColor
   Desc:	Override to make it possible to pass Color's
---------------------------------------------------------*/  
function meta:SetFGColor( r, g, b, a )

	if ( type( r ) == "table" ) then
		return self:SetFGColorEx( r.r, r.g, r.b, r.a )
	end

	return self:SetFGColorEx( r, g, b, a )

end


/*---------------------------------------------------------
   Name:	SetBGColor
   Desc:	Override to make it possible to pass Color's
---------------------------------------------------------*/  
function meta:SetBGColor( r, g, b, a )

	if ( type( r ) == "table" ) then
		return self:SetBGColorEx( r.r, r.g, r.b, r.a )
	end

	return self:SetBGColorEx( r, g, b, a )

end


/*---------------------------------------------------------
	Name: SetHeight
---------------------------------------------------------*/  
function meta:SetHeight( h )

	self:SetSize( self:GetWide(), h )

end

meta.SetTall = meta.SetHeight


/*---------------------------------------------------------
	Name: SetHeight
---------------------------------------------------------*/  
function meta:SetWidth( w )

	self:SetSize( w, self:GetTall() )

end

meta.SetWide = meta.SetWidth


/*---------------------------------------------------------
   Name: SetTooltip
---------------------------------------------------------*/
function meta:SetTooltip( tooltip )
	self.strTooltipText = tooltip
end

meta.SetToolTip = meta.SetTooltip

VGUITooltipText = nil

local _GetTooltipText = GetTooltipText
function GetTooltipText()

	if ( VGUITooltipText ) then return VGUITooltipText end
	return _GetTooltipText()
	
end
